ControlSoftware (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.ControlSoftware interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface ControlSoftware

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface ControlSoftware

extends LogicalElement, Version

The control software class represents software that is generally used in an appliance. For example there is often a mini operating system that is build into things like consoles, hand held devices, etc. The details about all the software is generally not important, but basic knowledge of the software (levels, hot fixes, etc) may be desirable.

Naming Rules:
  0="parent,name"
Persistable:
  true
Table Name:
  CNTLSOFTWARE
Top Level:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`SoftwareFix[]` | `getFixes()`
`java.lang.String` | `getName()` The ControlSoftware is named within the context of a ComputerSystem.
`ComputerSystem` | `getParent()`
`boolean` | `hasFixes()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`void` | `setFixes(SoftwareFix[] x)`
`void` | `setName(java.lang.String x)`
`void` | `setParent(ComputerSystem x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The ControlSoftware is named within the context of a ComputerSystem. Most appliances will generally only have a single instance of the ControSoftware installed and running on the ComputerSystem. So typically the name will be a static string.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getFixes

    SoftwareFix[] getFixes()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="true"

### setFixes

    void setFixes(SoftwareFix[] x)

### hasFixes

    boolean hasFixes()

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setParent

    void setParent(ComputerSystem x)

### hasParent

    boolean hasParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD